From f31c620ef9edfaf77380eb622cc0c89b1aeb41ed Mon Sep 17 00:00:00 2001
From: Sean Whitton <spwhitton@spwhitton.name>
Date: Tue, 1 Jan 2019 18:51:51 +0000
Subject: [PATCH] dgit-maint-debrebase(7): handle DFSG-filtering for a new
 package

Closes:#915973

Signed-off-by: Sean Whitton <spwhitton@spwhitton.name>
---
 dgit-maint-debrebase.7.pod | 20 +++++++++++++++++---
 1 file changed, 17 insertions(+), 3 deletions(-)

diff --git a/dgit-maint-debrebase.7.pod b/dgit-maint-debrebase.7.pod
index f167928..4996e6a 100644
--- a/dgit-maint-debrebase.7.pod
+++ b/dgit-maint-debrebase.7.pod
@@ -487,7 +487,9 @@ email your archive administrators.  For Debian that is
 
 Our approach is to maintain a DFSG-clean upstream branch, and create
 tags on this branch for each release that we want to import.  We then
-import those tags per "Importing the release", above.
+import those tags per "Importing the release", above.  In the case of
+a new package, we base our initial Debianisation on our first
+DFSG-clean tag.
 
 For the first upstream release that requires DFSG filtering:
 
@@ -498,11 +500,23 @@ For the first upstream release that requires DFSG filtering:
     % git commit -m "upstream version 1.2.3 DFSG-cleaned"
     % git tag -s 1.2.3+dfsg
     % git checkout master
-    % # proceed with "Importing the release" on 1.2.3+dfsg tag
 
 =back
 
-And for subsequent releases (whether or not they require filtering):
+Now either proceed with "Importing the release" on the 1.2.3+dfsg tag,
+or in the case of a new package,
+
+=over 4
+
+    % git branch --unset-upstream
+    % git reset --hard 1.2.3+dfsg
+
+=back
+
+and proceed with "INITIAL DEBIANISATION".
+
+For subsequent releases (whether or not they require additional
+filtering):
 
 =over 4
 
-- 
2.11.0

